package com.za.bean.request

data class LoginRequest(
    var jobCode: String? = null, //工号
    var supplierCode: String? = null, //经销商代码
    var phone: String? = null, //密码
    var phoneModel: String? = null, //手机机型
    var vehicleId: Int? = null, //车辆id
    var enterMileage: Int? = null,//上班公里数
    var deviceInfo: String? = null, //手机信息
    var regId: String? = null, //手机信息
    var lat: Double? = null,
    var lng: Double? = null,
    var deviceId: String? = null,
    var dashboardPath: String? = null //里程表照片路径
)

data class FastLoginRequest(var deviceId: String? = null)

data class PhoneBean(
    var versionRelease: String? = null,//系统版本
    var model: String? = null,//手机型号
    var brand: String? = null,//手机厂商
    var appVersion: String? = null,//app版本
)

data class VehicleLogoutRequest(
    var vehicleId: Int? = null, //车辆id
    var loginLogId: Int? = null ,//用户id
    var exitMileage: Int? = null,
)


data class VerifyCodeRequest(val phone : String? = null)

data class VerifyCodeResponse(val verifyCode : String? = null)